Subject: [PATCH v4] davinci: Add MityDSP-L138/MityARM-1808 SOM support

From: [email-masked] (Kevin Hilman)
Date: Fri, 27 Aug 2010 07:11:58 -0700

Michael Williamson <[email-masked]> writes:

>> Normally, I like to see new board support broken down more.  It's rather
>> difficult to do a good review of new board file when everything is added
>> in a single patch.
>>
>> Typically, a basic patch that just supports basic boot (typically to
>> UART console) is the first patch.  Then additional patches are added to
>> add peripheral support (display, MMC, SPI, flash, regulators, ...)
>>
>> Breaking things up this way helps reviewers and maintainers greatly.
>>
>> [...]
>>    
> OK.  Most of the board file is a large cut-and-paste of the da850
> EVM.  It seems unlikely that I'll have any measure of success here, but if
> I get time I might try again.

OK, if it's mostly a cut-and-paste of da850, then maybe just break it up
into two patches, 1) the cut, paste & rename patch and 2) a separate
patch for things that are different on your board.

Thanks,

Kevin